<mat-drawer-container class="side-container" autosize>
  <mat-drawer #drawer mode="side" >

    <mat-toolbar color="light">
      <h2 class="mat-title">RESUMEN DE LA ORDEN</h2>    
    </mat-toolbar>

    <div class="list-group">
      <a href="#" class="list-group-item list-group-item-action flex-column align-items-start "
      *ngFor="let image of images; index as i">
        <div class="d-flex w-75 justify-content-between">
          <img src="{{images[i]}}"/>
          <a class="mb-1">{{names[i]}}</a>
          <p style="font-weight: bolder;"> ${{prices[i]}}</p>
        </div>   
      </a>

      <button type="button" mdbBtn color="danger" block="false"
      size="sm" class="m-0 px-3 py-2" mdbWavesEffect>Editar</button>
      
    </div>

    <footer class="page-footer  blue-grey lighten-5">
     <div class="container">
      <div class="row justify-content-between">
        <div class="col-3">
          <h3 class=".mat-h3" style="color:black">SUBTOTAL</h3>   
        </div>
        <div class="col-3">
          <h3 class=".mat-h3" style="color:black;font-weight: bolder;">$13,940</h3> 
        </div>
      </div>
      <div class="row justify-content-between">
        <div class="col-3">
          <h3 class=".mat-h3" style="color:black">ENVIO</h3>   
        </div>
        <div class="col-3">
          <h3 class=".mat-h3" style="color:black;font-weight: bolder;">A calcular</h3> 
        </div>
      </div>
    </div>
    </footer>

    <footer class="page-footer  black">
      <div class="container">
       <div class="row justify-content-between">
         <div class="col-3">
           <h4 class=".mat-h4">TOTAL</h4>   
         </div>
         <div class="col-3">
           <h4 class=".mat-h4" style="color:white;font-weight: bolder;">$13,940</h4> 
         </div>
       </div>
     </div>
    </footer>

  </mat-drawer>

  
  <div class="sidenav-content">

  <mat-toolbar>
    <button type="button" mat-button (click)="drawer.toggle()">
      <mat-icon>menu</mat-icon>
    </button>   
    
    <h1 class="mat-headline">DIRECCION DE ENVIO</h1> 
  </mat-toolbar>

  <hr style="height:2px;border-width:0;color:black;background-color:black">

  <div class="container">

  <!-- Grid row-->
  <div class="row py-4 d-flex align-items-center">

    <!-- Grid column -->
    <div class="col-md-8 col-lg-8 text-center mx-auto mt-4 ">

    <mat-grid-list cols="2" rowHeight="50px">
      <mat-grid-tile>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" 
              mdbWavesEffect>
              <i class="fas fa-user"></i>
            </button>
          </div>
          <input type="text" class="form-control" placeholder="Nombre" 
          [(ngModel)]="DirectionData.name" mdbInput mdbValidate required minlength="1">
        </div>       
      </mat-grid-tile>   
      <mat-grid-tile>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" 
              mdbWavesEffect>
              <i class="fas fa-user"></i>
            </button>
          </div>
          <input type="text" class="form-control" placeholder="Apellidos" 
          [(ngModel)]="DirectionData.lastname" mdbInput mdbValidate required minlength="1">
        </div>   
      </mat-grid-tile>
      <mat-grid-tile>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" 
              mdbWavesEffect>
              <i class="fas fa-envelope"></i>
            </button>
          </div>
          <input type="text" class="form-control" placeholder="Correo Electronico" 
          [(ngModel)]="DirectionData.email" mdbInput mdbValidate required minlength="1">
        </div>   
      </mat-grid-tile>
      <mat-grid-tile>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" 
              mdbWavesEffect>
              <i class="fas fa-phone-alt"></i>
            </button>
          </div>
          <input type="text" class="form-control" placeholder="Numero de Telefono" 
          [(ngModel)]="DirectionData.phone" mdbInput mdbValidate required minlength="1">
        </div>   
      </mat-grid-tile>
      <mat-grid-tile>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" 
              mdbWavesEffect>
              <i class="fas fa-map-marker-alt"></i>
            </button>
          </div>
          <input type="text" class="form-control" placeholder="Codigo Postal" 
          [(ngModel)]="DirectionData.postal_number" mdbInput mdbValidate required minlength="1">
        </div>   
      </mat-grid-tile>
      <mat-grid-tile>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" 
              mdbWavesEffect>
              <i class="fas fa-map-marker-alt"></i>
            </button>
          </div>
          <select class="browser-default custom-select" 
          [(ngModel)]="DirectionData.colony" mdbInput mdbValidate required minlength="1">
            <option selected >Colonia</option>
            <option *ngFor="let colonie of colonies; index as i" value="Colonia" >
              {{ colonies[i] }}</option>           
          </select>
        </div>   
      </mat-grid-tile>
      <mat-grid-tile>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" 
              mdbWavesEffect>
              <i class="fas fa-map-marker-alt"></i>
            </button>
          </div>
          <input type="text" class="form-control" placeholder="Estado/Region" 
          [(ngModel)]="DirectionData.state" mdbInput mdbValidate required minlength="1">
        </div>   
      </mat-grid-tile>
      <mat-grid-tile>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" 
              mdbWavesEffect>
              <i class="fas fa-map-marker-alt"></i>
            </button>
          </div>
          <input type="text" class="form-control" placeholder="Ciudad" 
          [(ngModel)]="DirectionData.city" mdbInput mdbValidate required minlength="1">
        </div>   
      </mat-grid-tile>
      <mat-grid-tile>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" 
              mdbWavesEffect>
              <i class="fas fa-map-marker-alt"></i>
            </button>
          </div>
          <input type="text" class="form-control" placeholder="Delegacion o Municipio" 
          [(ngModel)]="DirectionData.town" mdbInput mdbValidate required minlength="1">
        </div>   
      </mat-grid-tile>
      <mat-grid-tile>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" 
              mdbWavesEffect>
              <i class="fas fa-map-marked-alt"></i>
            </button>
          </div>
          <input type="text" class="form-control" placeholder="Calle" 
          [(ngModel)]="DirectionData.street" mdbInput mdbValidate required minlength="1">
        </div>   
      </mat-grid-tile>

      <mat-grid-tile>
        <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" on-click="ZipCode()" 
              mdbWavesEffect>
              Libreta de direcciones
            </button>
      </mat-grid-tile>
      <mat-grid-tile>
        <button mdbBtn color="dark" size="md" class="m-0 px-3 py-2" type="button" on-click="Save()" 
              mdbWavesEffect>
              Guardar
        </button>
      </mat-grid-tile>

    </mat-grid-list>

        <mat-checkbox
        class="example-margin"
        [(ngModel)]="checked"
        [(indeterminate)]="indeterminate"
        [labelPosition]="labelPosition"
        [disabled]="disabled">
           Utilizar como direccion de facturacion
        </mat-checkbox>
        
  </div>
 </div>
</div>

</div>
</mat-drawer-container>
